function __bobthefish_glyphs -S -d 'Define glyphs used by bobthefish'
  # Powerline glyphs
  set -x branch_glyph            \uE0A0
  set -x right_black_arrow_glyph \uE0B0
  set -x right_arrow_glyph       \uE0B1
  set -x left_black_arrow_glyph  \uE0B2
  set -x left_arrow_glyph        \uE0B3

  # Additional glyphs
  set -x detached_glyph          \u27A6
  set -x tag_glyph               \u2302
  set -x nonzero_exit_glyph      '! '
  set -x private_glyph           \uE0A2 ' '
  set -x superuser_glyph         '$ '
  set -x bg_job_glyph            '% '
  set -x hg_glyph                \u263F

  # Python glyphs
  set -x superscript_glyph       \u00B9 \u00B2 \u00B3
  set -x virtualenv_glyph        \u25F0
  set -x pypy_glyph              \u1D56

  set -x ruby_glyph              ''
  set -x go_glyph                ''
  set -x nix_glyph               ''

  # Desk glyphs
  set -x desk_glyph              \u25F2

  # Kubernetes glyphs
  set -x k8s_glyph               \u2388 # '⎈'

  # Vagrant glyphs
  set -x vagrant_running_glyph   \u2191 # ↑ 'running'
  set -x vagrant_poweroff_glyph  \u2193 # ↓ 'poweroff'
  set -x vagrant_aborted_glyph   \u2715 # ✕ 'aborted'
  set -x vagrant_saved_glyph     \u21E1 # ⇡ 'saved'
  set -x vagrant_stopping_glyph  \u21E3 # ⇣ 'stopping'
  set -x vagrant_unknown_glyph   '!'    # strange cases

  # Git glyphs
  set -x git_dirty_glyph      '*'
  set -x git_staged_glyph     '~'
  set -x git_stashed_glyph    '$'
  set -x git_untracked_glyph  '…'
  set -x git_ahead_glyph      \u2191 # '↑'
  set -x git_behind_glyph     \u2193 # '↓'
  set -x git_plus_glyph       '+'
  set -x git_minus_glyph      '-'
  set -x git_plus_minus_glyph '±'

  # Fossil glyph (it reuses most of the git glyphs)
  set -x fossil_glyph \U1F9B4 # Unicode bone emoji

  # Disable Powerline fonts (unless we're using nerd fonts instead)
  if [ "$theme_powerline_fonts" = "no" -a "$theme_nerd_fonts" != "yes" ]
    set private_glyph           \u29B8 ' '
    set branch_glyph            \u2387
    set right_black_arrow_glyph ''
    set right_arrow_glyph       ''
    set left_black_arrow_glyph  ''
    set left_arrow_glyph        ''
  end

  # Use prettier Nerd Fonts glyphs
  if [ "$theme_nerd_fonts" = "yes" ]
    set private_glyph    \uF023 ' ' # nf-fa-lock

    set branch_glyph     \uF418
    set detached_glyph   \uF417
    set tag_glyph        \uF412

    set nix_glyph        \uF313 ' ' # nf-linux-nixos
    set virtualenv_glyph \uE73C ' '
    set ruby_glyph       \uE791 ' '
    set go_glyph         \uE626 ' '
    set node_glyph       \uE718 ' '

    set vagrant_running_glyph  \uF431 # ↑ 'running'
    set vagrant_poweroff_glyph \uF433 # ↓ 'poweroff'
    set vagrant_aborted_glyph  \uF468 # ✕ 'aborted'
    set vagrant_unknown_glyph  \uF421 # strange cases

    set git_dirty_glyph      \uF448 '' # nf-oct-pencil
    set git_staged_glyph     \uF0C7 '' # nf-fa-save
    set git_stashed_glyph    \uF0C6 '' # nf-fa-paperclip
    set git_untracked_glyph  \uF128 '' # nf-fa-question
    # set git_untracked_glyph  \uF141 '' # nf-fa-ellipsis_h
    set fossil_glyph \UF00B9 # nf-md-bone

    set git_ahead_glyph      \uF47B # nf-oct-chevron_up
    set git_behind_glyph     \uF47C # nf-oct-chevron_down

    set git_plus_glyph       \uF0DE # fa-sort-asc
    set git_minus_glyph      \uF0DD # fa-sort-desc
    set git_plus_minus_glyph \uF0DC # fa-sort
  end

  # Avoid ambiguous glyphs
  if [ "$theme_avoid_ambiguous_glyphs" = "yes" ]
    set git_untracked_glyph '...'
    set fossil_glyph '' # blank, for lack of a good fallback
  end
end
